#include <iostream>
#include "calcFocus.h"
#include "freeFocusMethod.h"
#include "fixedFocusMethod.h"
#include "averageFocusMethod.h"

/**
 * @file Υη׻Υإå
 * @brief Υη׻
 * @param F ù
 * @param f ξΥ
 * @param method Υ׻ˡ
 * @author Kento YAMADA
 * @date 2009.09.30
 */
void calcFocus(const CvMat *F,
               const double f,
               const char *method,
               double &f1,
               double &f2) {

	if(method == std::string("Free")) {
    freeFocusMethod(F, f, f1, f2);
  } else if(method == std::string("Fixed")) {
    fixedFocusMethod(F, f, f1, f2);
  } else if(method == std::string("Average")) {
    averageFocusMethod(F, f, f1, f2);
  } else {
    std::cerr << "# ERROR : Υ׻ˡʤᡤŤʿѾΥˡ" << std::endl;
    averageFocusMethod(F, f, f1, f2);
  }
}
